Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.universe.engine
Class UFakeHDSTable

    java.lang.Object
      UFakeTable
          jet.universe.engine.UFakeHDSTable

    public class UFakeHDSTable

extends UFakeTable

UFakeHDSTable class provides methods to get information of the tables used by HDS

Constructor Summary
`UFakeHDSTable(java.lang.String name)`
`UFakeHDSTable(java.lang.String name, UFakeHDSTable parent)`

Method Summary
`void` | `appendColumn(java.lang.String name, java.lang.String fullName, boolean isFldInWhere, int sqlType, java.lang.String format, boolean array, boolean attribute, int colIndex)`
`java.util.Vector` | `getAllCols()` get the table's columns
`boolean` | `getAttrib()`
`java.util.Vector` | `getChildren()` get all children, including tables and columns
`java.util.Vector` | `getCols()` get the table's columns
`java.lang.String` | `getFullName()` get the table's full name
`java.util.Vector` | `getRealTabs()` get child tables which is not the structured attributes
`InputStreamFactory` | `getStreamFactory()`
`java.lang.String` | `getTableName()` get the table's name
`java.util.Vector` | `getTabs()` get child tables
`void` | `setAttrib(boolean isAttrib)`
`void` | `setStreamFactory(InputStreamFactory streamFactory)`
`void` | `setURI(java.lang.String uri)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UFakeHDSTable

    public UFakeHDSTable(java.lang.String name)

### UFakeHDSTable

    public UFakeHDSTable(java.lang.String name,
                         UFakeHDSTable parent)

Method Detail

### appendColumn

    public void appendColumn(java.lang.String name,
                             java.lang.String fullName,
                             boolean isFldInWhere,
                             int sqlType,
                             java.lang.String format,
                             boolean array,
                             boolean attribute,
                             int colIndex)

### setURI

    public void setURI(java.lang.String uri)

### getFullName

    public java.lang.String getFullName()

  get the table's full name

  Returns:
    table's full name, including all the names of its parent tables

### getTableName

    public java.lang.String getTableName()

  get the table's name

  Returns:
    table's name

### getCols

    public java.util.Vector getCols()

  get the table's columns

  Returns:
    table's columns

### getTabs

    public java.util.Vector getTabs()

  get child tables

  Returns:
    child tables

### getChildren

    public java.util.Vector getChildren()

  get all children, including tables and columns

  Returns:
    all children

### setAttrib

    public void setAttrib(boolean isAttrib)

### getAttrib

    public boolean getAttrib()

### getAllCols

    public java.util.Vector getAllCols()

  get the table's columns

  Returns:
    table's columns

### getRealTabs

    public java.util.Vector getRealTabs()

  get child tables which is not the structured attributes

  Returns:
    child tables

### getStreamFactory

    public InputStreamFactory getStreamFactory()

### setStreamFactory

    public void setStreamFactory(InputStreamFactory streamFactory)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD